Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 91372 - It is hard to implement a Port Type with multiple operations
It is hard to implement a Port Type with multiple operations
Status: REOPENED
Product: soa
Classification: Unclassified
Component: BPEL
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@soa
issues@soa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-20 22:27 UTC by Murali Pottlapelli
Modified: 2008-10-22 18:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
project (175.14 KB, text/plain)
2006-12-20 22:29 UTC, Murali Pottlapelli
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Murali Pottlapelli 2006-12-20 22:27:35 UTC
Please refer to attachment for the artifacts referenced in the description.

In TaskCommon.wsdl TaskCommOptPT is defined with multiple operations. It is
possible to implement these operations as separate/independent BPs or in one BP.
MultipleBPELsJBI and OneBPELJBI are implementation examples.

Implementing in one BPEL using a Pick is simple. Unless user is expert on BPEL
spec they would not how to do it, can UI provide help on this?

Implementing separate BCs is not a trivial exercise. It is involved. 
A. BPs implementing these operations needs to share name space. It needs to be
exactly same
B. Partner link (in this case PartnerLink1) name associated with PLT for
TaskCommOptPT  needs to be same
OR
Another way of same thing is PartnerLink needs to be same for these BPs.
can UI provide help on this?
Comment 1 Murali Pottlapelli 2006-12-20 22:29:10 UTC
Created attachment 36858 [details]
project
Comment 2 Sergey Lunegov 2007-10-25 10:44:25 UTC
Murali, not sure what do you mean under help. Does current situation with PLs address the described problem.
Also I couldn't download the attachment. Would you specify that it has zip format. Now it's declared as text/plain.
Marked as FIXED.
Comment 3 ggenipudi 2008-10-22 18:53:47 UTC
I opened the project MultipleBPELs and unable to see the BP in design mode. The bpel url is old it is pointing to  
xmlns="http://schemas.xmlsoap.org/ws/2004/03/business-process/" and  not
xmlns="http://docs.oasis-open.org/wsbpel/2.0/process/executable". Don't know what was fixed. Please provide details and
steps to verify.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo